%define upstream_name    Dist-Zilla-Plugin-DynamicPrereqs
%define upstream_version 0.040

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Specify dynamic (user-side) prerequisites for your distribution
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker) >= 5.22.0
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::FileGatherer)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::ModuleMetadata)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::Install) >= 0.60.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::pushd)
BuildRequires: perl(List::Util) >= 1.450.0
BuildRequires: perl(Module::CoreList) >= 3.60.0
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(PadWalker)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Term::ANSIColor) >= 3.0.0
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Deep::JSON)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File::ShareDir)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(if)
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage plugin that inserts code into your
_Makefile.PL_ to indicate dynamic (installer-side) prerequisites.

Code is inserted immediately after the declarations for
'%WriteMakefileArgs' and '%FallbackPrereqs', before they are conditionally
modified (when an older the ExtUtils::MakeMaker manpage is installed). This
gives you an opportunity to add to the 'WriteMakefile' arguments:
'PREREQ_PM', 'BUILD_REQUIRES', and 'TEST_REQUIRES', and therefore modify
the prerequisites in the user's _MYMETA.yml_ and _MYMETA.json_ based on
conditions found on the user's system.

The 'dynamic_config' field in CPAN::Meta::Spec/dynamic_config is already
set for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.40.0-2.mga10
+ Revision: 2214741
- Mageia 10 Mass Rebuild

* Mon Jun 13 2022 tv <tv> 0.40.0-1.mga9
+ Revision: 1864261
- update to 0.040

* Mon Mar 21 2022 umeabot <umeabot> 0.39.0-2.mga9
+ Revision: 1813557
- Mageia 9 Mass Rebuild

* Wed Oct 28 2020 tv <tv> 0.39.0-1.mga8
+ Revision: 1640036
- update to 0.039

* Sat Aug 01 2020 tv <tv> 0.38.0-1.mga8
+ Revision: 1610198
- update to 0.038

* Thu Feb 20 2020 umeabot <umeabot> 0.37.0-2.mga8
+ Revision: 1545297
- Mageia 8 Mass Rebuild

* Sun Feb 16 2020 tv <tv> 0.37.0-1.mga8
+ Revision: 1530163
- update to 0.037

* Tue Jan 28 2020 tv <tv> 0.36.0-1.mga8
+ Revision: 1484377
- update to 0.036

* Thu Apr 04 2019 tv <tv> 0.35.0-1.mga7
+ Revision: 1385745
- update to 0.035

* Thu Sep 20 2018 umeabot <umeabot> 0.34.0-2.mga7
+ Revision: 1283006
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 kekepower <kekepower> 0.34.0-1.mga7
+ Revision: 1222253
- imported package perl-Dist-Zilla-Plugin-DynamicPrereqs


* Wed Apr 25 2018 cpan2dist 0.034-1mga
- initial mageia release, generated with cpan2dist
